# Get agreement Endpoint to get an agreement by id. An agreement is an authorization link that the buyer receives to allow the seller to access their Mercado Pago wallet to debit the payment. **GET** `/v2/wallet_connect/agreements/{agreement_id}` ## Request parameters ### Header - `x-platform-id` (string, optional) Field intended for platforms or modules that offer Mercado Pago in their solutions. ### Path - `agreement_id` (string, required) Unique ID that identifies an agreement. ### Query - `client.id` (number, optional) Unique ID that identifies a client. ## Response parameters - `id` (string, optional) Unique ID that identifies an agreement. - `date_created` (string, optional) Agreement creation date. - `date_canceled` (string, optional) Agreement canceled date. - `date_expire` (string, optional) Agreement expiration date. - `validation_code` (string, optional) The code obtained to generate the payer token. - `approval_uri` (string, optional) Necessary uri to redirect the user to the previously linked wallet in the frontend. - `redirect_uri` (string, optional) Indicates the uri to return the user to after the agreement is complete. - `status` (string, optional) Agreement status. - `external_flow_id` (string, optional) Identifies the seller-side flow current state. - `external_user` (object, optional) The external_user contains the data that the seller will need to use to indentify a User, so then it can continue with their own flow. - `external_user.id` (string, optional) Unique ID that was used by the seller to identify the external_use.r - `external_user.description` (string, optional) A brief description with information of the user. For example the name of the user. - `agreement_data` (object, optional) Contains information about actions the user must do and the amount to be paid, - `agreement_data.validation_amount` (number, optional) Amount that the user is going to pay. - `agreement_data.description` (string, optional) Description of the actions that the user is trying to perform. - `site_id` (string, optional) Country of origin of the Mercado Pago account. - `application_id` (number, optional) This is the client unique identificator. - `collector_id` (number, optional) User owner of the application_id. - `model_version` (number, optional) Agreement API version. ## Errors | Status | Error | Description | | ------- | ------- | ----------- | | 400 | 400 | Bad-Request | | 404 | 404 | Not-Found | | 500 | 500 | Error | ## Request example ### cURL ```bash curl -X GET \ 'https://api.mercadopago.com/v2/wallet_connect/agreements/{agreement_id}?client.id=' \ -H 'Content-Type: application/json' \ -H 'Authorization: Bearer ' ``` ## Response example ```json { "id": "b1234e5678b91c23a456e78912345b67", "date_created": "2023-02-16T00:02:52Z", "date_canceled": "2023-02-16T00:02:52Z", "date_expire": "2023-02-16T00:02:52Z", "validation_code": "790eb6591ff68df74c57930551ed980239f4538a7e530", "approval_uri": "https://www.mercadopago.com.ar/v1/wallet_agreement/b1234e5678b91c23a456e78912345b67", "redirect_uri": "https://www.mercadopago.com/", "status": "confirmed_by_user", "external_flow_id": "external_flow_id", "external_user": { "id": "usertest", "description": "Test account" }, "agreement_data": { "validation_amount": 3.14, "description": "Test agreement" }, "site_id": "MLA", "application_id": 123456789, "collector_id": 987654, "model_version": 2 } ```